package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.common.pojo.ModelRela;

import java.util.List;

public interface ModelRelaService {

    boolean save(ModelRela modelRela, User user);

    void update(ModelRela modelRela, User user);

    List<ModelRela> getModelRelaList(Long domainId);

    List<ModelRela> getModelRela(List<Long> modelIds);

    void delete(Long id);
}
